# encoding: utf-8

import unittest
import HTMLTestReportCN
from common.Excel import Reader
import time
from common.Mail import sendResultMail
from HTMLTestReportCN import TestResult
# from common.resultToDing import msgSend
from common.resultToDingForQateam import msgSend
import sys

'''
    by LiangChao
    at 2019/7/17
    用来执行所有test开头的py文件，并生成表报
'''
reader = Reader()
# case_dir = 'D:/workSpace/Python_workspace/myPython/.idea/interfaceTest_ddt_2.0/case'   #for local
# report_dir = 'D:/workSpace/Python_workspace/myPython/.idea/interfaceTest_ddt_2.0/repot'   #for local
case_dir = '/opt/apitest/apiAutoByJenkins/case'  # for server by QA
#case_dir = '/opt/apitest/apiAutoTest/case'  # for server by DEV
report_dir = '/opt/apitest/apiAutoByJenkins/repot'  # for server
discover = unittest.defaultTestLoader.discover(case_dir,pattern='test*.py')
# discover = unittest.defaultTestLoader.discover(case_dir,pattern='testcase.py')
# discover = unittest.defaultTestLoader.discover(case_dir,pattern='testapi.py')
now = time.strftime('%Y%m%d%H%M%S')
fileName = '/'+now+'test_report.html'
reportFileName =  report_dir+fileName
report_url = "https://four.gicdev.com/apitest"
reportUrl = report_url+fileName

with open(reportFileName, 'wb') as f:
      runner = HTMLTestReportCN.HTMLTestRunner(stream=f, title='接口自动化测试报告', description='接口测试用例执行情况', tester='jenkins')
      runner.run(discover)

# api = reader.api_result('D:/workSpace/Python_workspace/apitest2.0_1.xls')
# print(api)

passRate = runner.getPassRate()
passRateValue = passRate.split('%',1)[0]


# msgSend(passRateValue,reportUrl,"gic-store-web")
# str = 'gic-store-web'
# msgSend(passRateValue,reportUrl,str)

# msgSend(passRateValue,reportUrl,sys.argv[1])  # for fangdong

msgSend(passRateValue,reportUrl)  # for QaTeam

smtpSer ="smtp.exmail.qq.com"
# 测试服务器群发测试组成员
sendUser ="apitest@demogic.com"
sendPwd ="Api@201906"
recvUser ="test@demogic.com"
#recvUser = "zhangchunyao@demogic.com"

sendResultMail(smtpSer,sendUser,sendPwd,recvUser,reportFileName)




